package com.persagy.entity;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 控返不一致报警定义
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年12月9日 下午3:07:15
 */
@Getter
@Setter
@ToString
public class ReturnAlarmDefine {
	
	/** 集团编码 */
    private String groupCode;
	
    /** 项目ID */
    private String projectId;
    
    /** 项目ID，不带Pj */
    private String building;
    
    /** 产品类编码 */
    private String ibmsSceneCode;
    
    /** 设备类编码 */
    private String ibmsClassCode;
    
    /** 设备ID */
    private String equipId;
    
	/** 需要控制的信息点 */
	private PonitData controlInfo;
	
	/** 实际iot数据点位*/
	private PonitData returnInfo;
	
	/** 报警信息点 */
	private PonitData alarmInfo;
	
	/** 报警状态 false-正常，true-报警 */
	private volatile boolean alarmStatus = false;
	
	/** 报警条件 */
	private String alarmCondition;

}
